import { http } from "../utils/http";
import { loadEnv } from "@build/index";

const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";

interface postType extends Promise<any> {
  data?: object;
  code?: number;
  message?: string;
}

export const httpInvoiceDetail = (data?: object): postType => {
  return http.request("post", `${yewuApi}InvoiceItem/getListByCode`, { data });
};

//销售订单发票票面
export const httpSaleInvoice = (data?: object): postType => {
  return http.request("post", `${yewuApi}orderticket`, { data });
};

//采购单回票发票票面信息
export const httpPurchaseInvoice = (data?: object): postType => {
  return http.request("post", `${yewuApi}cgdticket`, { data });
};

// 采购单列表
export const httpPurchaseOrders = (data?: object): postType => {
  return http.request("post", `${yewuApi}InvoiceItem/cgdListByPayNo`, { data });
};

export const httpSaleOrders = (data?: object): postType => {
  return http.request("post", `${yewuApi}InvoiceItem/qrdListByInvNo`, { data });
};


export const httpRelation = (data?: object): postType => {
  return http.request("post", `${yewuApi}InvoiceItem/create`, { data });
};


export const httpUnRelation = (data?: object): postType => {
  return http.request("post", `${yewuApi}InvoiceItem/delete`, { data });
};
